@echo off
REM Asks the user some questions and creates an application structure based on the results.

set CABWIZDIR=C:\Program Files\MvR\CabWiz
set /p APPNAME=Enter Application Name(No Spaces Allowd):
REM set APPNAME=MyApp2
set /p APPVERU=Enter Application Version(Numbers Only):
REM set APPVERU=1
set APPVER=_v%APPVERU%
set PROGNAME=%APPNAME%%APPVER%
set /P COMPANY=Enter Your Company Name:
REM set COMPANY=MyCompany
echo\

REM Create directory and file structure for application
mkdir %APPNAME%
mkdir %APPNAME%\Files
echo Directory structure created.

REM Create batch file to generate CAB file for Pocket PC Installation
echo @echo off>%APPNAME%\CreateCAB.bat
echo\>>%APPNAME%\CreateCAB.bat
echo "%CABWIZDIR%\Cabwiz.exe" "%CABWIZDIR%\%APPNAME%\%PROGNAME%.inf" /dest "%CABWIZDIR%\%APPNAME%\" /err "%CABWIZDIR%\%APPNAME%\error.txt" /cpu arm>>%APPNAME%\CreateCAB.bat
echo del "%CABWIZDIR%\%APPNAME%\%PROGNAME%.arm.DAT">>%APPNAME%\CreateCAB.bat
echo Batch file CreateCAB.bat created.

REM Create batch file to install application to Pocket PC
echo @echo Off>%APPNAME%\InstallApplication.bat
echo\>>%APPNAME%\InstallApplication.bat
echo cd %CABWIZDIR%>>%APPNAME%\InstallApplication.bat
echo\>>%APPNAME%\InstallApplication.bat
echo "%CABWIZDIR%\cecopy.exe" "%CABWIZDIR%\%APPNAME%\%PROGNAME%.arm.CAB" "dev:\Temp\%PROGNAME%.arm.CAB">>%APPNAME%\InstallApplication.bat
echo "%CABWIZDIR%\rapistart.exe" wceload.exe "\Temp\%PROGNAME%.arm.CAB">>%APPNAME%\InstallApplication.bat
echo Batch file InstallApplication.bat created.

REM Create inf file to configure CAB file
echo ;==================================================>%APPNAME%\%PROGNAME%.inf
echo ; %PROGNAME%.inf>>%APPNAME%\%PROGNAME%.inf
echo ;==================================================>>%APPNAME%\%PROGNAME%.inf
echo [Version]>>%APPNAME%\%PROGNAME%.inf
echo Signature	= "$Windows NT$">>%APPNAME%\%PROGNAME%.inf
echo Provider	= "%COMPANY%">>%APPNAME%\%PROGNAME%.inf
echo CESignature	= "$Windows CE$">>%APPNAME%\%PROGNAME%.inf
echo [CEStrings]>>%APPNAME%\%PROGNAME%.inf
echo AppName = "%APPNAME%">>%APPNAME%\%PROGNAME%.inf
echo InstallDir = \Program Files\%COMPANY%\%APPNAME%\>>%APPNAME%\%PROGNAME%.inf
echo [Strings]>>%APPNAME%\%PROGNAME%.inf
echo ;==================================================>>%APPNAME%\%PROGNAME%.inf
echo [DefaultInstall]>>%APPNAME%\%PROGNAME%.inf
echo CopyFiles	   = Files>>%APPNAME%\%PROGNAME%.inf
echo Addreg	   = Regkeys>>%APPNAME%\%PROGNAME%.inf
echo CEShortcuts   = Shortcuts>>%APPNAME%\%PROGNAME%.inf
echo ;==================================================>>%APPNAME%\%PROGNAME%.inf
echo [Shortcuts]>>%APPNAME%\%PROGNAME%.inf
echo %APPNAME%,0,%APPNAME%.exe>>%APPNAME%\%PROGNAME%.inf
echo [SourceDisksNames]>>%APPNAME%\%PROGNAME%.inf
echo 1 =, "Common Files",, "%CABWIZDIR%\%APPNAME%\Files">>%APPNAME%\%PROGNAME%.inf
echo [SourceDisksFiles]>>%APPNAME%\%PROGNAME%.inf
echo "HardReset.exe" = 1 >>%APPNAME%\%PROGNAME%.inf
echo ;==================================================>>%APPNAME%\%PROGNAME%.inf
echo ; Ouput directories for files and shortcuts>>%APPNAME%\%PROGNAME%.inf
echo [DestinationDirs]>>%APPNAME%\%PROGNAME%.inf
echo Shortcuts = 0, \Windows\Start Menu\Programs>>%APPNAME%\%PROGNAME%.inf
echo Files = 0, %%InstallDir%%>>%APPNAME%\%PROGNAME%.inf
echo [Files]>>%APPNAME%\%PROGNAME%.inf
echo "HardReset.exe">>%APPNAME%\%PROGNAME%.inf
echo [RegKeys]>>%APPNAME%\%PROGNAME%.inf
echo HKLM,\Software\%COMPANY%\%APPNAME%,Name,0x00010000,%APPNAME%>>%APPNAME%\%PROGNAME%.inf
echo .inf file created.

REM Notify user of what else is required
echo\
echo\
echo You will now need to copy your application files and any other files that you 
echo want copied to your Pocket PC into the Files folder.
echo\
echo After this you will have to edit the .inf file to refer to these files and make
echo other setup modifications. Refer to 'Cabwiz Information Page.htm' for help on 
echo doing this.
echo\
echo Once you have edited your .inf file, run CreateCAB.bat to generate your CAB 
echo file. If there are any errors or warnings generated they will be shown in 
echo error.txt.
echo\
echo You can install your application by running InstallApplication.bat while your 
echo Pocket PC is synchronised with ActiveSync. Or you can copy the CAB file to
echo you Pocket PC and install it from the device.

pause